#pragma once

#include "datatable/TableFormat.h"
#include "server/RootContextConstants.h"
#include "server/UtilitiesContextConstants.h"

//Singleton
class CommonServerFormats
{
private:
   CommonServerFormats();
   CommonServerFormats(CommonServerFormats const&);

public:
  
   static CommonServerFormats& getInstance()
   {
        static CommonServerFormats instance;
        return instance;
   }
 
   TableFormatPtr getFIFT_LOGIN();
   TableFormatPtr getFOFT_LOGIN();
   TableFormatPtr getFIFT_GET_FORMAT();
   TableFormatPtr getFOFT_GET_FORMAT();
 
};
